class SetupLockTable < ActiveRecord::Migration
  def up
    create_table :deploy_locks do |t|
      t.string  :host
      t.string  :job_name
      t.integer :created_at, :limit => 8
    end

    add_index :deploy_locks, [:job_name], unique: true
  end

  def down
    drop_table :deploy_locks
  end
end