class SetupDeployAuditTable < ActiveRecord::Migration
  def up
    create_table :deploy_audits do |t|
      t.string  :host
      t.integer :jenkins_build_timestamp, :limit => 8
      t.integer :build_number
      t.integer :created_at, :limit => 8
    end

    add_index :deploy_audits, [:host, :jenkins_build_timestamp, :build_number], unique: true, name: 'host_deploy_idx'
  end

  def down
    drop_table :deploy_audits
  end
end